
Redmine - Patch #1470

Projects Info Block for MyPage

2008-06-16 21:09 - Chris Peterson

Status: New Start date: 2008-06-16

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: My page Estimated time: 0.00 hour

Target version:    

Description

This patch will add a projects block to the MyPage blocks that will display a table of projects the current user is a member of.  Along

with the project names, it will also list the number of assigned issues, reported issues, and spent time for a given project.

History

#1 - 2008-06-16 21:51 - Jean-Philippe Lang

I like this new block. In addition, I think it would be nice to:

display projects as a tree (projects/subprojects)

have a 'New ticket' link for each project

A few notes about the this patch:

it can easily generate thousands of SQL queries

:controller => 'projects/' << project.identifier is not the proper way to generate urls

#2 - 2008-06-16 22:49 - Chris Peterson

I am glad that you like it. Would you please clarify the additions:

How do I distinguish between Parent projects you are a member of and those you are not a member of (I suppose I could use the fav icons). 

Also, by 'project as a tree' do you mean:

1. Similar to a tree widget that expands and collapses

2. Just an indentation to indicate that it is a subproject

3. Hybrid of the two

Assuming that 'new ticket' is analogous to New Issue, should the link appear as:

1. A new column

2. As a parenthesis surrounded link after the name

As this is my first foray into Ruby and Ruby on Rails, I was not sure on how to do the SQL query and url generation properly, I just kept hacking until it

worked. So, any advice on the proper way would be welcome.

#3 - 2013-04-14 02:11 - Filou Centrinov

Category: My page

#4 - 2013-04-14 08:01 - Toshi MARUYAMA

- Category set to My page

#5 - 2013-04-14 10:55 - Daniel Felix

Sounds interesting. Maybe this patch should be migrated to 2.3.0 codebase and tested again. :-)
